## org.apache.lucene.index
Class TermVectorEntryFreqSortedComparator

    java.lang.Object
      org.apache.lucene.index.TermVectorEntryFreqSortedComparator

All Implemented Interfaces:
  Comparator

    public class TermVectorEntryFreqSortedComparator

extends Object
implements Comparator

Compares `TermVectorEntry`s first by frequency and then by the term (case-sensitive)

Constructor Summary
`TermVectorEntryFreqSortedComparator()`

Method Summary
`int` `compare(Object object, Object object1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TermVectorEntryFreqSortedComparator

    public TermVectorEntryFreqSortedComparator()

Method Detail

### compare

    public int compare(Object object,
                       Object object1)

  Specified by:
    `compare` in interface `Comparator`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.